#ifndef COLLISION_H
#define COLLISION_H

#include <stdbool.h>

#include "vec.h"

bool intersectCircleHorLine(vec2f c, float r, float x);
bool intersectCircleVerLine(vec2f c, float r, float y);
bool intersectCircleCircle(vec2f c1, float r1, vec2f c2, float r2);

float reactCircleHorLine(vec2f* c, vec2f* v, float r, float x);
float reactCircleVerLine(vec2f* c, vec2f* v, float r, float y);
float reactAsteroids(asteroid_t &a1, asteroid_t &a2, bool debug);

bool intersect(asteroid_t asteroid, vec2f levelBounds);
bool intersect(ship_t ship, vec2f levelBounds);
void react(asteroid_t &asteroid, vec2f levelBounds);
void react(ship_t &ship, vec2f levelBounds);

#endif

